Subject: bug#52507: [PATCH] Option for vc-delete-file to keep file on disk

From: Dmitry Gutov <[email-masked]>
Date: Thu, 16 Dec 2021 13:03:43 +0300

On 16.12.2021 10:12, Ashwin Kafle wrote:
> But this would mean that every vc-backend will have to be changed,
> immediately.

Not really: since the arg is optional, we can make sure to only add it 
when it's non-nil, and otherwise call the backends with 1 argument.

> Also, having every vc-backend accept and check keep-on-disk will result
> on a lot of duplicate code that can simply be avoided.

That's a valid argument, I suppose. Depends on whether many other 
backends (VCSes) know how to delete files without deleting them on disk.

OTOH, it would be handy to let those that don't declare explicitly their 
inability to do that (by not supporting the second argument).